Page MenuHomePhabricator

The element that show Lilypond errors in VisualEditor in English must English language and direction definition
Closed, ResolvedPublic1 Story Points

Description

When I put syntax errors into a Lilypond window in VE, I get a <span> with the Score-compilererr error message and a <pre> with the Lilypond compiler output in English. The <pre> doesn't have lang="en" dir="ltr", so in the Hebrew Wikipedia I see it in the wrong direction. The <span> with the localized error must remain as it is, but if the text in the <pre> is always in English, the HTML element must have lang="en" dir="ltr".

Event Timeline

Amire80 created this task.Sep 28 2015, 10:15 AM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptSep 28 2015, 10:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Sep 29 2015, 3:03 AM
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF added a subscriber: Tchanders.

This isn't really a VE issue, we just make it more visible.

This isn't really a VE issue, we just make it more visible.

Yup, but we're also going to fix it, so…

Change 243020 had a related patch set uploaded (by Esanders):
Always render error message in LTR as it's English

https://gerrit.wikimedia.org/r/243020

Change 243020 merged by jenkins-bot:
Always render error message in LTR as it's English

https://gerrit.wikimedia.org/r/243020

Jdforrester-WMF closed this task as Resolved.Oct 5 2015, 5:54 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.